Loading...
Searching...
No Matches
object Struct Reference
Astronomical object of interest

Celestial object of interest. More...

`#include <novas.h>`

## Data Fields

char | name [SIZE_OF_OBJ_NAME]
| name of the object (0-terminated)
long | number
| enum novas_planet, or minor planet ID (e.g. NAIF), or star catalog ID.
struct novas_orbital | orbit
| orbital data for NOVAS_ORBITAL_OBJECT type.
struct novas_cat_entry | star
| basic astrometric data (in ICRS) for NOVAS_CATALOG_OBJECT type.
enum novas_object_type | type
| NOVAS object type.

## Detailed Description

Celestial object of interest.

Note, the memory footprint is different from NOVAS C due to the use of the enum vs short 'type' and the long vs. short 'number' values – hence it is not cross-compatible for binary data exchange with NOVAS C 3.1.

See also
  make_cat_object(), make_redshifted_object(), make_planet(), make_ephem_object(), make_orbital_object()
  NOVAS_OBJECT_INIT, NOVAS_MERCURY_INIT, NOVAS_VENUS_INIT, NOVAS_EARTH_INIT, NOVAS_MARS_INIT, NOVAS_JUPITER_INIT, NOVAS_SATURN_INIT, NOVAS_URANUS_INIT, NOVAS_NEPTUNE_INIT, NOVAS_PLUTO_INIT, NOVAS_PLUTO_BARYCENTER_INIT, NOVAS_SUN_INIT, NOVAS_SSB_INIT, NOVAS_MOON_INIT, NOVAS_EMB_INIT
  novas_sky_pos(), novas_geom_posvel(), novas_rises_above(), novas_transit_time(), novas_sets_below() novas_sun_angle(), novas_moon_angle(), novas_object_sep()

## Field Documentation

## orbit

struct novas_orbital orbit

orbital data for NOVAS_ORBITAL_OBJECT type.

Since
  1.2

The documentation for this struct was generated from the following file:

- /build/supernovas-Ly00hg/supernovas-1.5.1/include/novas.h